- Qt 6.8
- Qt Multimedia
- QML Types
- CapturableWindow
- Qt 6.8.3 Reference Documentation

# CapturableWindow QML Value Type

The CapturableWindow type is used getting basic of a window that is available for capturing via WindowCapture. More...

Import Statement: | `import QtMultimedia`
Since: | Qt 6.6
In C++: | QCapturableWindow

## Properties

- description : string
- isValid : string

## Detailed Description

The class contains a dump of window information, except the property 'isValid' which pulls the actual window state every time.

See also WindowCapture.

## Property Documentation

description : string

This property holds the description of the reffered window.

isValid : string

This property identifies whether a window information is valid.

An invalid window information refers to non-existing window or doesn't refer to any one.